"""
Copyright 2019 de la Dirección General de Sistemas Informáticos – Secretaría Legal y Técnica - Nación.

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/
"""
from django.conf import settings
from trazabilidad.utils import add_updater

SETTINGS = getattr(settings, 'DAPP_SETTINGS',
                   {
                       'NODE_URL': 'http://localhost:8545',
                       'IS_POA': False,
                       'CONTRACT_ADDRESS': '',
                       'ABI': '',
                       'ACCOUNT': ''
                   })

NODE_URL = SETTINGS['NODE_URL']
IS_POA = SETTINGS['IS_POA']
ABI = str(SETTINGS['ABI']).replace('\n', '').replace('\r', '').replace('\t', '')
CONTRACT_ADDRESS = SETTINGS['CONTRACT_ADDRESS']
ACCOUNT = SETTINGS['ACCOUNT']
PASSPHRASE = SETTINGS['PASSPHRASE']
BYTECODE = SETTINGS['BYTECODE']
FROM_BLOCK = SETTINGS['FROM_BLOCK']


# globals().update(SETTINGS)

def update_setting(setting, value):
    print(str({setting: value}))
    globals().update({setting: value})
    print(str(globals()))


add_updater(update_setting)
